curl --request GET \
--url {schemes}://api.upsun.com/projects/{project_id}/invitations \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{project_id}/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{project_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "pending",
"project_id": "<string>",
"role": "admin",
"email": "jsmith@example.com",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"environments": [
{
"id": "<string>",
"type": "<string>",
"role": "admin",
"title": "<string>"
}
]
}
]{
"error": "<string>"
}{
"error": "<string>"
}List invitations to a project
Returns a list of invitations to a project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
Query Parameters
Allows filtering by state of the invtations: "pending" (default), "error".
Show child attributes
Show child attributes
Determines the number of items to show.
1 <= x <= 100Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Allows sorting by a single field.
Use a dash ("-") to sort descending.
updated_at, -updated_at Response
OK
The ID of the invitation.
The invitation state.
pending, processing, accepted, cancelled, error The ID of the project.
The project role.
admin, viewer The email address of the invitee.
The inviter.
Show child attributes
Show child attributes
The date and time when the invitation was created.
The date and time when the invitation was last updated.
The date and time when the invitation was finished.
Show child attributes
Show child attributes
Was this page helpful?